Bug 1702876 - Service Catalog api-server pod crashed at 'Unable to create storage backend'
Summary: Service Catalog api-server pod crashed at 'Unable to create storage backend'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Dan Geoffroy
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-25 03:44 UTC by Zihan Tang
Modified: 2019-06-04 10:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:12 UTC

Comment 1 David Eads 2019-04-25 11:46:20 UTC
Looks like your build is missing https://github.com/openshift/cluster-svcat-apiserver-operator/pull/49 .  I'll leave it with Jay, but that pull updates the name.

Comment 2 Jay Boyd 2019-04-25 12:59:19 UTC
From the timestamps alone alone I agree - looks like this build had the change on the etcd side but not the change within service catalog operator.  I have an install from openshift-install-linux-4.1.0-0.ci-2019-04-24-094913 which had both changes and works properly.  

I just verified this works properly in openshift-install-linux-4.1.0-0.nightly-2019-04-25-043235.

As David said above, looks like a "bad" build for Service Catalog in that core had a change moving etcd to a new namespace but the Service Catalog operator changes were no in the same build.

Fixed by https://github.com/openshift/cluster-svcat-apiserver-operator/pull/49

Comment 4 Jian Zhang 2019-04-28 01:23:45 UTC
Thanks David and Jay. @zitang, please help verify this issue, thanks!

Comment 5 Zihan Tang 2019-04-28 06:22:51 UTC
Verified. It works on 4.1.0-0.nightly-2019-04-25-121505

Comment 8 errata-xmlrpc 2019-06-04 10:48:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.